﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace FieldMultiPropertyBinding
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            List<Data> data = new List<Data>();
            Random r = new Random();
            
            for (int i = 0; i < 10; i++)
            {
                data.Add(
                    new Data
                    {
                        ID = i,
                        Name = "Item " + i,
                        Prop1 = r.Next(10),
                        Prop2 = r.Next(10),
                        Prop3 = r.Next(10),
                    });
            }

            DataContext = data;
        }
    }

    public class Data
    {
        public int ID { get; set; }
        public string Name { get; set; }

        public double Prop1 { get; set; }
        public double Prop2 { get; set; }
        public double Prop3 { get; set; }
    }
}
